## pyresample 1.14.0

=== debian/changelog ===
pyresample (1.14.0-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:38 +0100

pyresample (1.14.0-3) unstable; urgency=medium

  * debian/patches:
    - drop 0001-fix-proj4-initialization.patch,no longer necessary
    - renumber all patches
    - new 0007-Projection-names-compatibility.patch (CLoses: 949274)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Jan 2020 07:50:04 +0000

pyresample (1.14.0-2) unstable; urgency=medium

  * debian/patches:
    - new 0007-Fix-tests-on-i386.patch: do not use equality
      to test floating point values

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Dec 2019 17:11:33 +0000

pyresample (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - drop 0007-Fix-pyproj-inf.patch: applied upstream
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Dec 2019 09:36:58 +0000

pyresample (1.13.2-2) unstable; urgency=medium

  * Drop Provides: ${python3:Provides}.
  * debian/patches:
    - new 0007-Fix-pyproj-inf.patch, imported form
      upstream to fix unittest failures
      (closes: #946003)
  * debian/tests:
    - replace the deprecated ADTTMP with AUTOPKGTEST_TMP

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Dec 2019 07:33:10 +0000

pyresample (1.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Refresh all pathces.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Oct 2019 06:59:35 +0000

pyresample (1.13.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches
  * debian/control:
    - explicitly specify Rules-Requires-Root: no

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 30 Sep 2019 08:01:23 +0200

pyresample (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches
    - new 0005-Comapt-with-dask-1.0.patch and
      0006-Skip-test-on-deprecatet-basemap.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Sep 2019 17:36:42 +0000

pyresample (1.12.3-6) unstable; urgency=medium

  * Team upload.

  [ Antonio Valentino ]
  * Use debhelper-compat instead of debian/compat.
  * debian/patches:
    - new 0004-Detect-broken-basemap.patch: workaround for failures
      of basemap imports due to incompatibility with new pyproj
      versions (Closes: #939022)
  * debian/control:
    - depend on pyproj >= 2.3.1
    - drop dependency on python3-mock (not really necessary with Python 3)
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Sep 2019 18:03:28 +0200

=== debian/control ===
Source: pyresample
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends: cython3,
               debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-cartopy,
               python3-configobj,
               python3-dask,
               python3-mpltoolkits.basemap,
               python3-numexpr,
               python3-numpy,
               python3-pil,
               python3-pykdtree (>= 1.3.1),
               python3-pyproj (>= 2.3.1),
               python3-rasterio,
               python3-scipy,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-xarray,
               python3-yaml
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
Homepage: https://github.com/pytroll/pyresample

Package: python3-pyresample
Architecture: any
Depends: python-pyresample-test,
         python3-configobj,
         python3-numpy,
         python3-pyproj (>= 2.3.1),
         python3-pykdtree (>= 1.3.1),
         python3-rasterio,
         python3-six,
         python3-yaml,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python3-cartopy,
            python3-dask,
            python3-matplotlib,
            python3-numexpr,
            python3-pil,
            python3-scipy,
            python3-xarray
Suggests: python-pyresample-doc,
          python3-mpltoolkits.basemap
Description: Resampling of remote sensing data in Python 3
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.
 .
 This is the Python 3 version of the package.

Package: python-pyresample-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: www-browser
Description: Resampling of remote sensing data in Python (documentation)
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.
 .
 This is the common documentation package.

Package: python-pyresample-test
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Resampling of remote sensing data in Python (test suite)
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.
 .
 This package contains the test data for pyresample.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pyresample


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
	rm -rf docs/build/html/_static/images/
endif


override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	$(MAKE) -C docs clean
	$(RM) -r build pyresample.egg-info pyresample/ewa/*.so


override_dh_installchangelogs:
	dh_installchangelogs README.md


override_dh_python3:
	dh_python3 -ppython3-pyresample
	dh_numpy3 -ppython3-pyresample

## pyresample 1.16.0+ds

=== debian/changelog ===
pyresample (1.16.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add dependency from python3-shapely
  * debian/patches:
    - drop 0003-Fix-tests-on-i386.patch: applied upstream
    - refresh and renumber all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Jun 2020 07:08:57 +0000

pyresample (1.15.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Exclude auto-generated C source files from the orig archive.
  * Use cython during the build.
  * Use pytest for testing (new recommended tool).
  * debian/patches:
    - drop 0008-Compatibility-with-PyProj-v2.6.0.patch, applied upstream
      (see https://github.com/pytroll/pyresample/pull/258)
    - drop 0001-Skip-dask-related-tests-if-dask-is-not-available.patch,
      0002-Make-xarray-optional-for-testing.patch and
      0004-Comapt-with-dask-1.0.patch, no longer necessary
    - refresh and renumber remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Mar 2020 14:56:10 +0000

pyresample (1.14.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * debian patches:
    - new 0008-Compatibility-with-PyProj-v2.6.0.patch (Closes: 954219)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 19 Mar 2020 07:57:11 +0000

=== debian/control ===
--- 
+++ 
@@ -17,14 +17,16 @@
                python3-pil,
                python3-pykdtree (>= 1.3.1),
                python3-pyproj (>= 2.3.1),
+               python3-pytest,
                python3-rasterio,
                python3-scipy,
                python3-setuptools,
+               python3-shapely,
                python3-six,
                python3-sphinx,
                python3-xarray,
                python3-yaml
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
@@ -48,6 +50,7 @@
             python3-numexpr,
             python3-pil,
             python3-scipy,
+            python3-shapely,
             python3-xarray
 Suggests: python-pyresample-doc,
           python3-mpltoolkits.basemap

## pyresample 1.17.0+ds

=== docs/requirements.txt ===
git+https://github.com/storpipfugl/pykdtree.git@master
xarray
toolz
dask
zarr
numpy

=== debian/changelog ===
pyresample (1.17.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add dependency on zarr
  * debian/patches:
    - drop 0003-Projection-names-compatibility.patch, applied upstream
    - drop 0004-Install-test-data.patch, applied upstream
    - drop 0005-pyproj3-compat.patch, applied upstream

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 16 Nov 2020 07:31:38 +0000

pyresample (1.16.0+ds-3) unstable; urgency=medium

  * debian/patches:
    - new 0005-pyproj3-compat.patch to fix compatibility with PyProj >= 3.0.
      See also https://github.com/pytroll/pyresample/pull/311.
      Closes: #973867, #973868.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Nov 2020 10:09:34 +0000

pyresample (1.16.0+ds-2) unstable; urgency=medium

  * debian/control:
    - drop build dependency form deprecated basemap (closes: #972475)
    - add missing dependencies
  * Update lintian overrides for python3-pyresample.
  * Add Forwarded tag to all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Oct 2020 07:47:05 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,13 @@
 Build-Depends: cython3,
                debhelper-compat (= 12),
                dh-python,
+               python3-affine,
                python3-all-dev,
                python3-cartopy,
                python3-configobj,
                python3-dask,
-               python3-mpltoolkits.basemap,
+               python3-gdal,
+               python3-matplotlib,
                python3-numexpr,
                python3-numpy,
                python3-pil,
@@ -22,10 +24,10 @@
                python3-scipy,
                python3-setuptools,
                python3-shapely,
-               python3-six,
                python3-sphinx,
                python3-xarray,
-               python3-yaml
+               python3-yaml,
+               python3-zarr
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
@@ -39,21 +41,22 @@
          python3-pyproj (>= 2.3.1),
          python3-pykdtree (>= 1.3.1),
          python3-rasterio,
-         python3-six,
          python3-yaml,
          ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: python3-cartopy,
+Recommends: python3-affine,
+            python3-cartopy,
             python3-dask,
+            python3-gdal,
             python3-matplotlib,
             python3-numexpr,
             python3-pil,
             python3-scipy,
             python3-shapely,
-            python3-xarray
-Suggests: python-pyresample-doc,
-          python3-mpltoolkits.basemap
+            python3-xarray,
+            python3-zarr
+Suggests: python-pyresample-doc
 Description: Resampling of remote sensing data in Python 3
  Pyresample is a Python package for resampling (reprojection) of earth
  observing satellite data. It handles both resampling of gridded data

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=pyresample
+export USE_CYTHON=True
 
 
 %:
@@ -16,16 +17,25 @@
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	env PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
 	rm -rf docs/build/html/_static/images/
+else
+	mkdir -p docs/build/html
 endif
+
+
+override_dh_auto_install:
+	dh_auto_install -ppython-pyresample-test --buildsystem=pybuild
+	dh_auto_install -X.dat -X.npz --buildsystem=pybuild --remaining
+	$(RM) -r debian/python3-pyresample/usr/lib/python3*/dist-packages/pyresample/test/test_files
 
 
 override_dh_auto_clean:
 	dh_auto_clean --buildsystem=pybuild
 	$(MAKE) -C docs clean
 	$(RM) -r build pyresample.egg-info pyresample/ewa/*.so
+	$(RM) pyresample/ewa/_fornav.cpp pyresample/ewa/_ll2cr.c pyresample/gradient/_gradient_search.c
 
 
 override_dh_installchangelogs:

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyresample)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyresample-$1.$2/,\
repacksuffix=+ds \
https://github.com/pytroll/pyresample/releases \
(?:.*?/archive/)?(?:rel|v|pyresample)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyresample 1.22.3

=== docs/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,7 @@
 dask
 zarr
 numpy
+cython>=0.29
+pyproj
+cartopy>=0.18
+shapely

=== debian/changelog ===
pyresample (1.22.3-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 18:04:00 +0000

pyresample (1.22.3-2) unstable; urgency=medium

  * Fix egg-info management in d/rules.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 Dec 2021 07:48:41 +0000

pyresample (1.22.3-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright file.
  * debian/patches:
    - update 0002-Skip-test-on-deprecated-basemap.patch
      (and also fix a typo in the patch name)
    - refresh all patches.
  * debian/rules:
    - remove egg-info from the wrong path.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 Dec 2021 10:09:19 +0000

pyresample (1.22.0-1) unstable; urgency=medium

  * New upstream release (Closes: 997502)
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - add build dependency on python3-pytest-lazy-fixture
      and python3-importlib-metadata.
  * debian/rules:
    - exclude tests that work only when the package is installed.
  * Update d/python3-pyresample.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Oct 2021 09:27:05 +0000

pyresample (1.21.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release (Closes: #985019).
  * Update debian/copyright file.
  * debian/control:
    - remove unnecessary versioned dependenvy (pykdtree).
  * debian/patches:
    - New 0003-Fix-mathjax-path.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 07:09:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Rules-Requires-Root: no
 Build-Depends: cython3,
                debhelper-compat (= 12),
                dh-python,
                python3-affine,
                python3-all-dev,
-               python3-cartopy,
+               python3-cartopy (>= 0.20.0),
                python3-configobj,
                python3-dask,
                python3-gdal,
+               python3-importlib-metadata,
                python3-matplotlib,
                python3-numexpr,
                python3-numpy,
                python3-pil,
-               python3-pykdtree (>= 1.3.1),
+               python3-pykdtree,
                python3-pyproj (>= 2.3.1),
                python3-pytest,
+               python3-pytest-lazy-fixture,
                python3-rasterio,
                python3-scipy,
                python3-setuptools,
@@ -28,10 +29,11 @@
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
+Rules-Requires-Root: no
 
 Package: python3-pyresample
 Architecture: any
@@ -39,7 +41,7 @@
          python3-configobj,
          python3-numpy,
          python3-pyproj (>= 2.3.1),
-         python3-pykdtree (>= 1.3.1),
+         python3-pykdtree,
          python3-rasterio,
          python3-yaml,
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 export PYBUILD_NAME=pyresample
 export USE_CYTHON=True
+# exclude tests that work only when the package is installed
+export PYBUILD_TEST_ARGS=-k "not test_minimal_resamplers_exist"
 
 
 %:
@@ -29,6 +31,7 @@
 	dh_auto_install -ppython-pyresample-test --buildsystem=pybuild
 	dh_auto_install -X.dat -X.npz --buildsystem=pybuild --remaining
 	$(RM) -r debian/python3-pyresample/usr/lib/python3*/dist-packages/pyresample/test/test_files
+	$(RM) -r debian/python3-pyresample/usr/lib/python3.??/dist-packages/pyresample-*.egg-info
 
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: python3
Depends: @builddeps@, python3-pyresample, python-pyresample-test, python3-all

## pyresample 1.25.1

=== debian/changelog ===
pyresample (1.25.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - fix typo.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 05 Aug 2022 09:26:55 +0000

pyresample (1.24.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refresh all patches
    - new debian/patches/0004-Versioneer-path.patch.
  * Update d/copyright.
  * debian/control:
    - add build-dependency on pybuild-plugin-pyproject.
  * debian/rules:
    - fix override_dh_auto_install target.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Jul 2022 10:19:15 +0000

pyresample (1.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 26 Mar 2022 06:18:07 +0000

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	dh_auto_install -ppython-pyresample-test --buildsystem=pybuild
 	dh_auto_install -X.dat -X.npz --buildsystem=pybuild --remaining
 	$(RM) -r debian/python3-pyresample/usr/lib/python3*/dist-packages/pyresample/test/test_files
-	$(RM) -r debian/python3-pyresample/usr/lib/python3.??/dist-packages/pyresample-*.egg-info
+	$(RM) -r debian/python3-pyresample/usr/lib/python3.??/dist-packages/pyresample-*-info
 
 
 override_dh_auto_clean:

## pyresample 1.26.0

=== debian/changelog ===
pyresample (1.26.0-5) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with PROJ 9.1.1.
    (closes: #1025612)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Dec 2022 16:58:17 +0100

pyresample (1.26.0-4) unstable; urgency=medium

  * Disable tests involving legacy_dask_ewa.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 26 Nov 2022 16:18:49 +0000

pyresample (1.26.0-3) unstable; urgency=medium

  * debian/patches:
    - drop 0005-Relax-accuracy-for-legacy-data-test.patch.
  * debian/rules:
    - skip test_compare_to_legacy see
      https://github.com/pytroll/pyresample/issues/481.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 25 Nov 2022 21:08:06 +0000

pyresample (1.26.0-2) unstable; urgency=medium

  * debian/patches:
    - new 0005-Relax-accuracy-for-legacy-data-test.patch.
      Fix test failure on 32bit architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 25 Nov 2022 07:07:27 +0000

pyresample (1.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 24 Nov 2022 21:18:16 +0000

pyresample (1.25.1-2) unstable; urgency=medium

  * Fix d/copyright formatting.
  * debian/rules:
    - do not remove .egg-info files
    - re-enable all tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 09:32:29 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cython3,
                debhelper-compat (= 12),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-affine,
                python3-all-dev,
                python3-cartopy (>= 0.20.0),
@@ -29,7 +30,7 @@
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
 Homepage: https://github.com/pytroll/pyresample

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 
 export PYBUILD_NAME=pyresample
 export USE_CYTHON=True
-# exclude tests that work only when the package is installed
-export PYBUILD_TEST_ARGS=-k "not test_minimal_resamplers_exist"
-
+export PYBUILD_TEST_ARGS=-k "not test_compare_to_legacy and not legacy_dask_ewa"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -31,7 +29,6 @@
 	dh_auto_install -ppython-pyresample-test --buildsystem=pybuild
 	dh_auto_install -X.dat -X.npz --buildsystem=pybuild --remaining
 	$(RM) -r debian/python3-pyresample/usr/lib/python3*/dist-packages/pyresample/test/test_files
-	$(RM) -r debian/python3-pyresample/usr/lib/python3.??/dist-packages/pyresample-*-info
 
 
 override_dh_auto_clean:

## pyresample 1.27.1

=== debian/changelog ===
pyresample (1.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 23 Jun 2023 06:18:51 +0000

pyresample (1.27.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update copyright dates in d/copyright.
  * debian/control:
    - add build-dependency on sphinx-reredirects and sphinx-rtd-theme.
  * debian/patches:
    - drop test_area_def_geocentric_resolution.patch (applied upstream)
    - refresh and renumber remaining patches
    - new 0005-Fix-privacy-breachs.patch.
  * Update d/python-pyresample-doc.links to avoid duplicate files.
  * Bump debhelper-compat version to 13.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jun 2023 17:19:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: cython3,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3-affine,
@@ -27,10 +27,12 @@
                python3-setuptools,
                python3-shapely,
                python3-sphinx,
+               python3-sphinx-reredirects,
+               python3-sphinx-rtd-theme,
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
@@ -40,7 +42,6 @@
 Architecture: any
 Depends: python-pyresample-test,
          python3-configobj,
-         python3-numpy,
          python3-pyproj (>= 2.3.1),
          python3-pykdtree,
          python3-rasterio,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export PYBUILD_TEST_ARGS=-k "not test_compare_to_legacy and not legacy_dask_ewa"
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
@@ -27,7 +27,7 @@
 
 override_dh_auto_install:
 	dh_auto_install -ppython-pyresample-test --buildsystem=pybuild
-	dh_auto_install -X.dat -X.npz --buildsystem=pybuild --remaining
+	dh_auto_install -X.dat -X.npz --buildsystem=pybuild --remaining-packages
 	$(RM) -r debian/python3-pyresample/usr/lib/python3*/dist-packages/pyresample/test/test_files
 
 
@@ -44,4 +44,7 @@
 
 override_dh_python3:
 	dh_python3 -ppython3-pyresample
+
+
+override_dh_numpy3:
 	dh_numpy3 -ppython3-pyresample

## pyresample 1.28.1

=== debian/changelog ===
pyresample (1.28.1-2) unstable; urgency=medium

  * debian/rules:
    - Temporarily skip "test_get_sample_from_bil_info_1d"
      (failing on mips64el).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Feb 2024 07:18:57 +0000

pyresample (1.28.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - Update dependencies (add dependencies on python3-donfig,
      python3-platformdirs, python3-versioneer).
  * debian/patches:
    - Drop 0004-Versioneer-path.patch and 0006-Floating-point-comparison.patch.
    - Refresh and renumber remaining patches.
    - New 0005-Include-package-data.patch.
  * debian/rules:
    - Skip tests requiring access to the internet.
  * New debian/source/lintian-overrides.
  * Update d/python3-pyresample.lintian-overrides.
  * debian/rules:
    - Do not install files generated during tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Feb 2024 11:04:19 +0000

pyresample (1.27.1-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Override dh_numpy3 to fix unused substitution variable.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0006-Floating-point-comparison.patch.
  * debian/rules:
    - Skip test_cartopy_crs, not compatible with new versions
      of cartopy.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 14:48:08 +0000

pyresample (1.27.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.

  [ Antonio Valentino ]
  * Temporary skip test_def2yaml_converter which ffails witn libproj 9.3
    (seee also https://github.com/pytroll/pyresample/issues/539).
    Closes: #1050774.
  * debian/control:
    - Use <!nodoc> and <!nocheck> markers.
    - Update package description.
    - Drop unnecessary versioned dependencies.
  * Switch to dh-sequence-*.
  * Switch to autopkgtest-pkg-pybuild and drop the
    no longer needed d/tests folder.
  * debian/rules:
    - Improve rule to build documentation.
  * Update d/clean.
  * Update d/python3-pyresample.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 29 Aug 2023 17:26:45 +0000

=== debian/control ===
Source: pyresample
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-affine <!nocheck>,
               python3-all-dev,
               python3-cartopy (>= 0.20.0),
               python3-configobj,
               python3-dask,
               python3-donfig,
               python3-gdal,
               python3-importlib-metadata,
               python3-matplotlib,
               python3-numexpr,
               python3-numpy,
               python3-pil,
               python3-platformdirs,
               python3-pykdtree,
               python3-pyproj,
               python3-pytest <!nocheck>,
               python3-pytest-lazy-fixture <!nocheck>,
               python3-rasterio,
               python3-scipy,
               python3-setuptools,
               python3-shapely,
               python3-sphinx <!nodoc>,
               python3-sphinx-reredirects <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-versioneer,
               python3-xarray,
               python3-yaml,
               python3-zarr
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
Homepage: https://github.com/pytroll/pyresample
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: Resampling of remote sensing data in Python
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.

Package: python3-pyresample
Architecture: any
Depends: python-pyresample-test,
         python3-configobj,
         python3-pyproj,
         python3-pykdtree,
         python3-rasterio,
         python3-yaml,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python3-affine,
            python3-cartopy,
            python3-dask,
            python3-gdal,
            python3-matplotlib,
            python3-numexpr,
            python3-pil,
            python3-scipy,
            python3-shapely,
            python3-xarray,
            python3-zarr
Suggests: python-pyresample-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-pyresample-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This is the common documentation package.

Package: python-pyresample-test
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ${source:Synopsis} (test data)
 ${source:Extended-Description}
 .
 This package contains the test data for pyresample.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pyresample
export USE_CYTHON=True
export PYBUILD_TEST_ARGS=\
-k "not test_compare_to_legacy \
and not test_get_sample_from_bil_info_1d \
and not test_to_odc_geobox \
and not test_area_def_cartopy_installed \
and not test_area_repr_w_static_files \
and not test_area_repr_wo_static_files" \
--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
	sphinx-build -N -E -T -b html $(CURDIR)/docs/source $(CURDIR)/.pybuild/docs/html
	$(RM) -r $(CURDIR)/.pybuild/docs/html/_static/images
	$(RM) -r $(CURDIR)/.pybuild/docs/html/.doctrees
else
	mkdir -p $(CURDIR)/.pybuild/docs/html
endif


override_dh_auto_install:
	dh_auto_install -ppython-pyresample-test --buildsystem=pybuild
	dh_auto_install -X.dat -X.npz --buildsystem=pybuild --remaining-packages
	$(RM) -r debian/python3-pyresample/usr/lib/python3*/dist-packages/pyresample/test/test_files
	$(RM) debian/python3-pyresample/usr/lib/python3*/dist-packages/test_areas.yaml

override_dh_installchangelogs:
	dh_installchangelogs README.md

override_dh_numpy3:
	dh_numpy3 -p python3-pyresample

## pyresample 1.28.2

=== debian/changelog ===
pyresample (1.28.2-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:41 +1100

pyresample (1.28.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0005-Include-package-data.patch, applied upstream.
  * debian/rules:
    - Skip tests that are incompatible with pytest 8 (see also
      https://github.com/TvoroG/pytest-lazy-fixture/issues/65).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Mar 2024 11:49:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pyresample
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,12 @@
 
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+ifneq (,${PYBUILD_AUTOPKGTEST})
+TESTDIR=/usr/lib/python3/dist-packages/pyresample/test
+else
+TESTDIR=pyresample/test
+endif
 
 export PYBUILD_NAME=pyresample
 export USE_CYTHON=True
@@ -16,6 +22,17 @@
 and not test_area_def_cartopy_installed \
 and not test_area_repr_w_static_files \
 and not test_area_repr_wo_static_files" \
+--ignore $(TESTDIR)/test_resamplers/test_nearest.py \
+--ignore $(TESTDIR)/test_resamplers/test_resampler.py \
+--ignore $(TESTDIR)/test_dask_ewa.py \
+--ignore $(TESTDIR)/test_formatting.py \
+--ignore $(TESTDIR)/test_geometry/test_area.py \
+--ignore $(TESTDIR)/test_geometry/test_area_boundary.py \
+--ignore $(TESTDIR)/test_geometry/test_swath.py \
+--ignore $(TESTDIR)/test_geometry/test_swath_boundary.py \
+--ignore $(TESTDIR)/test_geometry_legacy.py \
+--ignore $(TESTDIR)/test_resamplers/test_resampler_registry.py \
+--ignore $(TESTDIR)/test_utils.py \
 --pyargs ${PYBUILD_NAME}
 
 %:

## pyresample 1.28.4

=== debian/changelog ===
pyresample (1.28.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Jul 2024 05:55:02 +0000

pyresample (1.28.3-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use pybuild --print to get build_dir path.

  [ Antonio Valentino ]
  * debian/control:
    - Depend on pytest-lazy-fixtures instead of pythest-lazy-fixture.
  * debian/rules:
    - Re-enable tests using lazy-fixtures.
  * debian/patches:
    - New 0006-Switch-to-pythest-lazy-fixtures.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 15 May 2024 19:56:34 +0000

pyresample (1.28.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - New 0005-Compatibility-with-numpy-2.0.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 17 Apr 2024 06:48:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pyresample
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
@@ -27,7 +26,7 @@
                python3-pykdtree,
                python3-pyproj,
                python3-pytest <!nocheck>,
-               python3-pytest-lazy-fixture <!nocheck>,
+               python3-pytest-lazy-fixtures <!nocheck>,
                python3-rasterio,
                python3-scipy,
                python3-setuptools,

## pyresample 1.29.0

=== debian/changelog ===
pyresample (1.29.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Add lintian overrides for deprecated Python stdlib false positives.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Aug 2024 15:31:09 +0000

## pyresample 1.31.0

=== debian/changelog ===
pyresample (1.31.0-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2024 09:53:25 +0100

pyresample (1.31.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0006-Setup-requires.patch, applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 28 Oct 2024 06:47:57 +0000

pyresample (1.30.0-2) unstable; urgency=medium

  * debian/patches:
    - New 0006-Setup-requires.patch (Closes: #1083582).
  * Update lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Oct 2024 18:26:07 +0000

pyresample (1.30.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0006-Switch-to-pythest-lazy-fixtures.patch,
      applied upstream.
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Sep 2024 06:53:48 +0000

## pyresample 1.32.0

=== debian/changelog ===
pyresample (1.32.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Feb 2025 09:34:36 +0000

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
 Homepage: https://github.com/pytroll/pyresample

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pyresample
export USE_CYTHON=True
export PYBUILD_TEST_ARGS=\
-k "not test_compare_to_legacy \
and not test_get_sample_from_bil_info_1d \
and not test_to_odc_geobox \
and not test_area_def_cartopy_installed \
and not test_area_repr_w_static_files \
and not test_area_repr_wo_static_files" \
--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(shell pybuild --print build_dir -i python3) \
	sphinx-build -N -E -T -b html $(CURDIR)/docs/source $(CURDIR)/.pybuild/docs/html
	$(RM) -r $(CURDIR)/.pybuild/docs/html/_static/images
	$(RM) -r $(CURDIR)/.pybuild/docs/html/.doctrees
else
	mkdir -p $(CURDIR)/.pybuild/docs/html
endif


override_dh_auto_install:
	dh_auto_install -ppython-pyresample-test --buildsystem=pybuild
	dh_auto_install -X.dat -X.npz --buildsystem=pybuild --remaining-packages
	$(RM) -r debian/python3-pyresample/usr/lib/python3*/dist-packages/pyresample/test/test_files
	$(RM) debian/python3-pyresample/usr/lib/python3*/dist-packages/test_areas.yaml

override_dh_installchangelogs:
	dh_installchangelogs README.md

override_dh_numpy3:
	dh_numpy3 -p python3-pyresample

## pyresample 1.33.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -a
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyresample.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyresample.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyresample (1.33.0-2) unstable; urgency=medium

  * debian/rules:
    - Disable tests that are broken on BE architectures.
      See https://github.com/pytroll/pyresample/issues/653.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Mar 2025 12:29:09 +0000

pyresample (1.33.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Add build-dependency on python3-numpy-dev.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Mar 2025 12:04:15 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-importlib-metadata,
                python3-matplotlib,
                python3-numexpr,
-               python3-numpy,
+               python3-numpy-dev,
                python3-pil,
                python3-platformdirs,
                python3-pykdtree,
@@ -38,7 +38,7 @@
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
